<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Комментарии';
require '../sys/inc/thead.php';
title();
################################################################################
if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));
################################################################################
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '".intval($_GET['id'])."' AND `id_user` = '$user[id]' AND `msg` = '".mysql_real_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
mysql_query("INSERT INTO `blog_komm` (`id_user`, `time`, `msg`, `id_blog`) values('$user[id]', '$time', '".mysql_real_escape_string($msg)."', '".intval($_GET['id'])."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.005)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
if($user['id']!=$blog['id_user'])
{
$msgrat5="В вашем блоге [url=/blog/list.php?id=$blog[id]]$blog[name][/url] оставили новый комментарий.";
mysql_query("INSERT INTO `blog_jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$blog[id_user]', '$msgrat5', '$time')");
}
msg('Ваш комментарий успешно принят');
}
}
################################################################################
elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id` = '".intval($_GET['del'])."' && `id_blog` = '".intval($_GET['id'])."'"),0))
{
if (isset($user) && ($user['level']>=4) || isset($user) && ($user['id']=$blog['id_user']))
{
mysql_query("DELETE FROM `blog_komm` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
msg('Комментарий удален');
}
}
err();
################################################################################
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '".intval($_GET['id'])."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `blog_komm` WHERE `id_blog` = '".intval($_GET['id'])."' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
################################################################################
if ($k_post==0)
{
?>
<div class='noy'>Нет комментариев</div>
<?
}
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo " ".medal($ank['id'])."";
echo " (".vremja($post['time']).")<br />\n";
################################################################################
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
if(isset($user)){
echo "[<a href='otvet.php?id=$post[id]'>Ответить</a>]\n";
}
if (isset($user) && ($user['level']>=4) || isset($user) && ($user['id'] == $blog['id_user']))
echo "[<a href='?id=".intval($_GET['id'])."&amp;del=$post[id]'>Удалить</a>]<br />\n";
echo "</div>\n";
}

if ($k_page>1)str("komm.php?id=".intval($_GET['id']).'&amp;',$k_page,$page);

if (isset($user))
{
echo "<form method='post' name='message' action='?id=".intval($_GET['id'])."&amp;page=$page'>\n";
echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value='Отправить' type='submit'>\n";
echo "</form>\n";
}
################################################################################
echo "<div class='fyt'>\n";
echo "<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &laquo <a href='index.php'>Дневники</a> &laquo <a href='list.php?id=".intval($_GET['id'])."'>Назад</a> \n";
echo "</div>\n";
################################################################################
require '../sys/inc/tfoot.php';
?>